<template>
  <div class="settings-container">
    <div class="title">Максимально допустимая продолжительность букинг-опроса (Лидтайм букинг-опроса)</div>
    <div class="description">Время букинг-запроса может изменяться в меньшую сторону пропорционально изменению всего периода автопоиска, если до ПВП осталось мало времени</div>
    <div class="pvp-inputs">
      <ObInput
        label="До ПВП"
        value="менее 12ч"
        :readonly="true"
        class="pvp-inputs__left"
      />
      <ObInput
        label="Продолж. букинг-опроса"
        :value="settings.bookingDurationLeadtime1 / MINUTES_IN_HOURS"
        sub-title="ч"
        class="pvp-inputs__right"
        @blur="onSaveField('bookingDurationLeadtime1', $event)"
      />
    </div>
    <div class="pvp-inputs">
      <ObInput
        label="До ПВП"
        value="от 12ч до 24ч"
        :readonly="true"
        class="pvp-inputs__left"
      />
      <ObInput
        label="Продолж. букинг-опроса"
        :value="settings.bookingDurationLeadtime2 / MINUTES_IN_HOURS"
        sub-title="ч"
        class="pvp-inputs__right"
        @blur="onSaveField('bookingDurationLeadtime2', $event)"
      />
    </div>
    <div class="pvp-inputs">
      <ObInput
        label="До ПВП"
        value="более 24ч"
        :readonly="true"
        class="pvp-inputs__left"
      />
      <ObInput
        label="Продолж. букинг-опроса"
        :value="settings.bookingDurationLeadtime3 / MINUTES_IN_HOURS"
        sub-title="ч"
        class="pvp-inputs__right"
        @blur="onSaveField('bookingDurationLeadtime3', $event)"
      />
    </div>
    <div class="title">Минимально допустимая продолжительность букинг-опроса</div>
    <div class="pvp-inputs">
      <ObInput
        label="Минимально"
        :value="settings.bookingMinimumDuration / MINUTES_IN_HOURS"
        sub-title="ч"
        class="pvp-inputs__left"
        @blur="onSaveField('bookingMinimumDuration', $event)"
      />
      <div class="description">Время букинг-запроса не может быть менее минимальной продолжительности, в противном (если до ПВП осталось слишком мало времени) случае автопоиск не запускается.</div>
    </div>
  </div>
</template>

<script>
import { mapActions } from 'vuex'
import ObInput from "common-components/src/obComponents/obInput";

export default {
  name: 'ClicarSettingsAutosearchBookingSettings',
  components: {
    ObInput
  },
  props: {
    settings: {
      type: Object,
      required: true
    }
  },
  methods: {
    ...mapActions({
      getAutosearchSettings: 'clicarSettings_3/getAutosearchSettings'
    }),
    onSaveField (path, event) {
      let value = event.target ? event.target.value : event

      this.$emit('on-save-field', { path, value })
    }
  },
  computed: {
    MINUTES_IN_HOURS () {
      return 60
    },
  },
}
</script>

<style lang="scss" scoped>
@import "~common-components/src/static/css/mixins";

.settings-container {
  max-width: 800px;
}

.title {
  margin-top: 30px;
  margin-bottom: 10px;
  @include font-mixin(16px,20px, 700, $color-text-base, 0.4px);
}

.description {
  margin-bottom: 25px;
  @include font-mixin(14px, 18px, 400, $color-grey-label);
}

.pvp-inputs {
  display: flex;
  align-items: center;
  margin-bottom: 10px;
  .description {
    margin-bottom: 0;
  }
  &__left {
    flex-shrink: 0;
    width: 220px;
    margin-right: 10px;
  }
  &__right {
    width: 200px;
  }
}
</style>